<?php

namespace Toloka\PhpApi;

use Psr\Http\Client\ClientInterface as HttpClientInterface;
use Psr\Log\LoggerInterface;
use Psr\SimpleCache\CacheInterface;

class Client {

  /**
   * Hurtom Toloka base url.
   *
   * @var string
   */
  protected string $base_url;

  protected HttpClientInterface $httpClient;

  /**
   * Cache bin.
   *
   * @var CacheInterface
   */
  protected CacheInterface $cache;

  /**
   * Events logger.
   *
   * @var LoggerInterface
   */
  protected LoggerInterface $logger;

  /**
   * Toloka client constructor.
   *
   * @param string $base_url
   * @param CacheInterface|NULL $cache
   * @param LoggerInterface|NULL $logger
   */
  public function __construct(
    string $base_url = 'https://toloka.to',
    HttpClientInterface $httpClient,
    CacheInterface $cache,
    LoggerInterface $logger
  ) {
    $this->httpClient = $httpClient;
    $this->cache = $cache;
    $this->logger = $logger;
  }



}
